SDL_SetWindowMaximumSize(3)

NAME
SDL_SetWindowMaximumSize - Set the maximum size of a window's client area.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowMaximumSize(SDL_Window *window, int max_w, int max_h);

FUNCTION PARAMETERS

window
    the window to change.

max_w
    the maximum width of the window, or 0 for no limit.

max_h
    the maximum height of the window, or 0 for no limit.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowMaximumSize(3), SDL_SetWindowMinimumSize(3)